com.thinkaurelius.titan.graphdb.database.log

## Enum LogTxStatus

- java.lang.Object
- - java.lang.Enum<LogTxStatus>
  - - com.thinkaurelius.titan.graphdb.database.log.LogTxStatus

- All Implemented Interfaces:
    Serializable, Comparable<LogTxStatus>

      public enum LogTxStatus
      extends Enum<LogTxStatus>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE_SUCCESS`
    `PRECOMMIT`
    `PRIMARY_SUCCESS`
    `SECONDARY_FAILURE`
    `SECONDARY_SUCCESS`
    `USER_LOG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPrimarySuccess()`
    `boolean` | `isSuccess()`
    `static LogTxStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogTxStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRECOMMIT

          public static final LogTxStatus PRECOMMIT

    - #### PRIMARY_SUCCESS

          public static final LogTxStatus PRIMARY_SUCCESS

    - #### COMPLETE_SUCCESS

          public static final LogTxStatus COMPLETE_SUCCESS

    - #### SECONDARY_SUCCESS

          public static final LogTxStatus SECONDARY_SUCCESS

    - #### SECONDARY_FAILURE

          public static final LogTxStatus SECONDARY_FAILURE

    - #### USER_LOG

          public static final LogTxStatus USER_LOG

  - ### Method Detail

    - #### values

          public static LogTxStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogTxStatus c : LogTxStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogTxStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isPrimarySuccess

          public boolean isPrimarySuccess()

    - #### isSuccess

          public boolean isSuccess()

Copyright © 2012–2014. All rights reserved.